net.arnx.wmf2svg.gdi.wmf

## Class WmfGdi

- java.lang.Object
- - net.arnx.wmf2svg.gdi.wmf.WmfGdi

- All Implemented Interfaces:
    Gdi

      public class WmfGdi
      extends Object
      implements Gdi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `RECORD_ANIMATE_PALETTE`
    `static int` | `RECORD_ARC`
    `static int` | `RECORD_BIT_BLT`
    `static int` | `RECORD_CHORD`
    `static int` | `RECORD_CREATE_BRUSH_INDIRECT`
    `static int` | `RECORD_CREATE_FONT_INDIRECT`
    `static int` | `RECORD_CREATE_PALETTE`
    `static int` | `RECORD_CREATE_PATTERN_BRUSH`
    `static int` | `RECORD_CREATE_PEN_INDIRECT`
    `static int` | `RECORD_CREATE_RECT_RGN`
    `static int` | `RECORD_DELETE_OBJECT`
    `static int` | `RECORD_DIB_BIT_BLT`
    `static int` | `RECORD_DIB_CREATE_PATTERN_BRUSH`
    `static int` | `RECORD_DIB_STRETCH_BLT`
    `static int` | `RECORD_ELLIPSE`
    `static int` | `RECORD_ESCAPE`
    `static int` | `RECORD_EXCLUDE_CLIP_RECT`
    `static int` | `RECORD_EXT_FLOOD_FILL`
    `static int` | `RECORD_EXT_TEXT_OUT`
    `static int` | `RECORD_FILL_RGN`
    `static int` | `RECORD_FLOOD_FILL`
    `static int` | `RECORD_FRAME_RGN`
    `static int` | `RECORD_INTERSECT_CLIP_RECT`
    `static int` | `RECORD_INVERT_RGN`
    `static int` | `RECORD_LINE_TO`
    `static int` | `RECORD_MOVE_TO_EX`
    `static int` | `RECORD_OFFSET_CLIP_RGN`
    `static int` | `RECORD_OFFSET_VIEWPORT_ORG_EX`
    `static int` | `RECORD_OFFSET_WINDOW_ORG_EX`
    `static int` | `RECORD_PAINT_RGN`
    `static int` | `RECORD_PAT_BLT`
    `static int` | `RECORD_PIE`
    `static int` | `RECORD_POLY_POLYGON`
    `static int` | `RECORD_POLYGON`
    `static int` | `RECORD_POLYLINE`
    `static int` | `RECORD_REALIZE_PALETTE`
    `static int` | `RECORD_RECTANGLE`
    `static int` | `RECORD_RESIZE_PALETTE`
    `static int` | `RECORD_RESTORE_DC`
    `static int` | `RECORD_ROUND_RECT`
    `static int` | `RECORD_SAVE_DC`
    `static int` | `RECORD_SCALE_VIEWPORT_EXT_EX`
    `static int` | `RECORD_SCALE_WINDOW_EXT_EX`
    `static int` | `RECORD_SELECT_CLIP_RGN`
    `static int` | `RECORD_SELECT_OBJECT`
    `static int` | `RECORD_SELECT_PALETTE`
    `static int` | `RECORD_SET_BK_COLOR`
    `static int` | `RECORD_SET_BK_MODE`
    `static int` | `RECORD_SET_DIBITS_TO_DEVICE`
    `static int` | `RECORD_SET_LAYOUT`
    `static int` | `RECORD_SET_MAP_MODE`
    `static int` | `RECORD_SET_MAPPER_FLAGS`
    `static int` | `RECORD_SET_PALETTE_ENTRIES`
    `static int` | `RECORD_SET_PIXEL`
    `static int` | `RECORD_SET_POLY_FILL_MODE`
    `static int` | `RECORD_SET_REL_ABS`
    `static int` | `RECORD_SET_ROP2`
    `static int` | `RECORD_SET_STRETCH_BLT_MODE`
    `static int` | `RECORD_SET_TEXT_ALIGN`
    `static int` | `RECORD_SET_TEXT_CHARACTER_EXTRA`
    `static int` | `RECORD_SET_TEXT_COLOR`
    `static int` | `RECORD_SET_TEXT_JUSTIFICATION`
    `static int` | `RECORD_SET_VIEWPORT_EXT_EX`
    `static int` | `RECORD_SET_VIEWPORT_ORG_EX`
    `static int` | `RECORD_SET_WINDOW_EXT_EX`
    `static int` | `RECORD_SET_WINDOW_ORG_EX`
    `static int` | `RECORD_STRETCH_BLT`
    `static int` | `RECORD_STRETCH_DIBITS`
    `static int` | `RECORD_TEXT_OUT`

    - ### Fields inherited from interface net.arnx.wmf2svg.gdi.Gdi

      `ABSOLUTE, ALTERNATE, ASPECT_FILTERING, BLACKNESS, BLACKONWHITE, COLORONCOLOR, DIB_PAL_COLORS, DIB_RGB_COLORS, DSTINVERT, ETO_CLIPPED, ETO_GLYPH_INDEX, ETO_IGNORELANGUAGE, ETO_NUMERICSLATIN, ETO_NUMERICSLOCAL, ETO_OPAQUE, ETO_PDY, ETO_RTLREADING, HALFTONE, LAYOUT_BITMAPORIENTATIONPRESERVED, LAYOUT_RTL, MERGECOPY, MERGEPAINT, MM_ANISOTROPIC, MM_HIENGLISH, MM_HIMETRIC, MM_ISOTROPIC, MM_LOENGLISH, MM_LOMETRIC, MM_TEXT, MM_TWIPS, NOTSRCCOPY, NOTSRCERASE, OPAQUE, PATCOPY, PATINVERT, PATPAINT, R2_BLACK, R2_COPYPEN, R2_MASKNOTPEN, R2_MASKPEN, R2_MASKPENNOT, R2_MERGENOTPEN, R2_MERGEPEN, R2_MERGEPENNOT, R2_NOP, R2_NOT, R2_NOTCOPYPEN, R2_NOTMASKPEN, R2_NOTMERGEPEN, R2_NOTXORPEN, R2_WHITE, R2_XORPEN, RELATIVE, SRCAND, SRCCOPY, SRCERASE, SRCINVERT, SRCPAINT, STRETCH_ANDSCANS, STRETCH_DELETESCANS, STRETCH_HALFTONE, STRETCH_ORSCANS, TA_BASELINE, TA_BOTTOM, TA_CENTER, TA_LEFT, TA_NOUPDATECP, TA_RIGHT, TA_RTLREADING, TA_TOP, TA_UPDATECP, TRANSPARENT, VTA_BASELINE, VTA_CENTER, WHITENESS, WHITEONBLACK, WINDING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WmfGdi()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `animatePalette(GdiPalette palette, int startIndex, int[] entries)`
    `void` | `arc(int sxr, int syr, int exr, int eyr, int sxa, int sya, int exa, int eya)`
    `void` | `bitBlt(byte[] image, int dx, int dy, int dw, int dh, int sx, int sy, long rop)`
    `void` | `chord(int sxr, int syr, int exr, int eyr, int sxa, int sya, int exa, int eya)`
    `GdiBrush` | `createBrushIndirect(int style, int color, int hatch)`
    `GdiFont` | `createFontIndirect(int height, int width, int escapement, int orientation, int weight, boolean italic, boolean underline, boolean strikeout, int charset, int outPrecision, int clipPrecision, int quality, int pitchAndFamily, byte[] faceName)`
    `GdiPalette` | `createPalette(int version, int[] entries)`
    `GdiPatternBrush` | `createPatternBrush(byte[] image)`
    `GdiPen` | `createPenIndirect(int style, int width, int color)`
    `GdiRegion` | `createRectRgn(int left, int top, int right, int bottom)`
    `void` | `deleteObject(GdiObject obj)`
    `void` | `dibBitBlt(byte[] image, int dx, int dy, int dw, int dh, int sx, int sy, long rop)`
    `GdiPatternBrush` | `dibCreatePatternBrush(byte[] image, int usage)`
    `void` | `dibStretchBlt(byte[] image, int dx, int dy, int dw, int dh, int sx, int sy, int sw, int sh, long rop)`
    `void` | `ellipse(int sx, int sy, int ex, int ey)`
    `void` | `escape(byte[] data)`
    `int` | `excludeClipRect(int left, int top, int right, int bottom)`
    `void` | `extFloodFill(int x, int y, int color, int type)`
    `void` | `extTextOut(int x, int y, int options, int[] rect, byte[] text, int[] lpdx)`
    `void` | `fillRgn(GdiRegion rgn, GdiBrush brush)`
    `void` | `floodFill(int x, int y, int color)`
    `void` | `footer()`
    `void` | `frameRgn(GdiRegion rgn, GdiBrush brush, int w, int h)`
    `void` | `header()`
    `void` | `intersectClipRect(int left, int top, int right, int bottom)`
    `void` | `invertRgn(GdiRegion rgn)`
    `void` | `lineTo(int ex, int ey)`
    `void` | `moveToEx(int x, int y, Point old)`
    `void` | `offsetClipRgn(int x, int y)`
    `void` | `offsetViewportOrgEx(int x, int y, Point point)`
    `void` | `offsetWindowOrgEx(int x, int y, Point point)`
    `void` | `paintRgn(GdiRegion rgn)`
    `void` | `patBlt(int x, int y, int width, int height, long rop)`
    `void` | `pie(int sx, int sy, int ex, int ey, int sxr, int syr, int exr, int eyr)`
    `void` | `placeableHeader(int vsx, int vsy, int vex, int vey, int dpi)`
    `void` | `polygon(Point[] points)`
    `void` | `polyline(Point[] points)`
    `void` | `polyPolygon(Point[][] points)`
    `void` | `realizePalette()`
    `void` | `rectangle(int sx, int sy, int ex, int ey)`
    `void` | `resizePalette(GdiPalette palette)`
    `void` | `restoreDC(int savedDC)`
    `void` | `roundRect(int sx, int sy, int ex, int ey, int rw, int rh)`
    `void` | `scaleViewportExtEx(int x, int xd, int y, int yd, Size old)`
    `void` | `scaleWindowExtEx(int x, int xd, int y, int yd, Size old)`
    `void` | `selectClipRgn(GdiRegion rgn)`
    `void` | `selectObject(GdiObject obj)`
    `void` | `selectPalette(GdiPalette palette, boolean mode)`
    `void` | `setBkColor(int color)`
    `void` | `setBkMode(int mode)`
    `void` | `setDIBitsToDevice(int dx, int dy, int dw, int dh, int sx, int sy, int startscan, int scanlines, byte[] image, int colorUse)`
    `void` | `setLayout(long layout)`
    `void` | `setMapMode(int mode)`
    `void` | `setMapperFlags(long flags)`
    `void` | `setPaletteEntries(GdiPalette palette, int startIndex, int[] entries)`
    `void` | `setPixel(int x, int y, int color)`
    `void` | `setPolyFillMode(int mode)`
    `void` | `setRelAbs(int mode)`
    `void` | `setROP2(int mode)`
    `void` | `setStretchBltMode(int mode)`
    `void` | `setTextAlign(int align)`
    `void` | `setTextCharacterExtra(int extra)`
    `void` | `setTextColor(int color)`
    `void` | `setTextJustification(int breakExtra, int breakCount)`
    `void` | `setViewportExtEx(int x, int y, Size old)`
    `void` | `setViewportOrgEx(int x, int y, Point old)`
    `void` | `setWindowExtEx(int width, int height, Size old)`
    `void` | `setWindowOrgEx(int x, int y, Point old)`
    `void` | `seveDC()`
    `void` | `stretchBlt(byte[] image, int dx, int dy, int dw, int dh, int sx, int sy, int sw, int sh, long rop)`
    `void` | `stretchDIBits(int dx, int dy, int dw, int dh, int sx, int sy, int sw, int sh, byte[] image, int usage, long rop)`
    `void` | `textOut(int x, int y, byte[] text)`
    `void` | `write(OutputStream out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RECORD_ANIMATE_PALETTE

          public static final int RECORD_ANIMATE_PALETTE

      See Also:
        Constant Field Values

    - #### RECORD_ARC

          public static final int RECORD_ARC

      See Also:
        Constant Field Values

    - #### RECORD_BIT_BLT

          public static final int RECORD_BIT_BLT

      See Also:
        Constant Field Values

    - #### RECORD_CHORD

          public static final int RECORD_CHORD

      See Also:
        Constant Field Values

    - #### RECORD_CREATE_BRUSH_INDIRECT

          public static final int RECORD_CREATE_BRUSH_INDIRECT

      See Also:
        Constant Field Values

    - #### RECORD_CREATE_FONT_INDIRECT

          public static final int RECORD_CREATE_FONT_INDIRECT

      See Also:
        Constant Field Values

    - #### RECORD_CREATE_PALETTE

          public static final int RECORD_CREATE_PALETTE

      See Also:
        Constant Field Values

    - #### RECORD_CREATE_PATTERN_BRUSH

          public static final int RECORD_CREATE_PATTERN_BRUSH

      See Also:
        Constant Field Values

    - #### RECORD_CREATE_PEN_INDIRECT

          public static final int RECORD_CREATE_PEN_INDIRECT

      See Also:
        Constant Field Values

    - #### RECORD_CREATE_RECT_RGN

          public static final int RECORD_CREATE_RECT_RGN

      See Also:
        Constant Field Values

    - #### RECORD_DELETE_OBJECT

          public static final int RECORD_DELETE_OBJECT

      See Also:
        Constant Field Values

    - #### RECORD_DIB_BIT_BLT

          public static final int RECORD_DIB_BIT_BLT

      See Also:
        Constant Field Values

    - #### RECORD_DIB_CREATE_PATTERN_BRUSH

          public static final int RECORD_DIB_CREATE_PATTERN_BRUSH

      See Also:
        Constant Field Values

    - #### RECORD_DIB_STRETCH_BLT

          public static final int RECORD_DIB_STRETCH_BLT

      See Also:
        Constant Field Values

    - #### RECORD_ELLIPSE

          public static final int RECORD_ELLIPSE

      See Also:
        Constant Field Values

    - #### RECORD_ESCAPE

          public static final int RECORD_ESCAPE

      See Also:
        Constant Field Values

    - #### RECORD_EXCLUDE_CLIP_RECT

          public static final int RECORD_EXCLUDE_CLIP_RECT

      See Also:
        Constant Field Values

    - #### RECORD_EXT_FLOOD_FILL

          public static final int RECORD_EXT_FLOOD_FILL

      See Also:
        Constant Field Values

    - #### RECORD_EXT_TEXT_OUT

          public static final int RECORD_EXT_TEXT_OUT

      See Also:
        Constant Field Values

    - #### RECORD_FILL_RGN

          public static final int RECORD_FILL_RGN

      See Also:
        Constant Field Values

    - #### RECORD_FLOOD_FILL

          public static final int RECORD_FLOOD_FILL

      See Also:
        Constant Field Values

    - #### RECORD_FRAME_RGN

          public static final int RECORD_FRAME_RGN

      See Also:
        Constant Field Values

    - #### RECORD_INTERSECT_CLIP_RECT

          public static final int RECORD_INTERSECT_CLIP_RECT

      See Also:
        Constant Field Values

    - #### RECORD_INVERT_RGN

          public static final int RECORD_INVERT_RGN

      See Also:
        Constant Field Values

    - #### RECORD_LINE_TO

          public static final int RECORD_LINE_TO

      See Also:
        Constant Field Values

    - #### RECORD_MOVE_TO_EX

          public static final int RECORD_MOVE_TO_EX

      See Also:
        Constant Field Values

    - #### RECORD_OFFSET_CLIP_RGN

          public static final int RECORD_OFFSET_CLIP_RGN

      See Also:
        Constant Field Values

    - #### RECORD_OFFSET_VIEWPORT_ORG_EX

          public static final int RECORD_OFFSET_VIEWPORT_ORG_EX

      See Also:
        Constant Field Values

    - #### RECORD_OFFSET_WINDOW_ORG_EX

          public static final int RECORD_OFFSET_WINDOW_ORG_EX

      See Also:
        Constant Field Values

    - #### RECORD_PAINT_RGN

          public static final int RECORD_PAINT_RGN

      See Also:
        Constant Field Values

    - #### RECORD_PAT_BLT

          public static final int RECORD_PAT_BLT

      See Also:
        Constant Field Values

    - #### RECORD_PIE

          public static final int RECORD_PIE

      See Also:
        Constant Field Values

    - #### RECORD_POLYGON

          public static final int RECORD_POLYGON

      See Also:
        Constant Field Values

    - #### RECORD_POLYLINE

          public static final int RECORD_POLYLINE

      See Also:
        Constant Field Values

    - #### RECORD_POLY_POLYGON

          public static final int RECORD_POLY_POLYGON

      See Also:
        Constant Field Values

    - #### RECORD_REALIZE_PALETTE

          public static final int RECORD_REALIZE_PALETTE

      See Also:
        Constant Field Values

    - #### RECORD_RECTANGLE

          public static final int RECORD_RECTANGLE

      See Also:
        Constant Field Values

    - #### RECORD_RESIZE_PALETTE

          public static final int RECORD_RESIZE_PALETTE

      See Also:
        Constant Field Values

    - #### RECORD_RESTORE_DC

          public static final int RECORD_RESTORE_DC

      See Also:
        Constant Field Values

    - #### RECORD_ROUND_RECT

          public static final int RECORD_ROUND_RECT

      See Also:
        Constant Field Values

    - #### RECORD_SAVE_DC

          public static final int RECORD_SAVE_DC

      See Also:
        Constant Field Values

    - #### RECORD_SCALE_VIEWPORT_EXT_EX

          public static final int RECORD_SCALE_VIEWPORT_EXT_EX

      See Also:
        Constant Field Values

    - #### RECORD_SCALE_WINDOW_EXT_EX

          public static final int RECORD_SCALE_WINDOW_EXT_EX

      See Also:
        Constant Field Values

    - #### RECORD_SELECT_CLIP_RGN

          public static final int RECORD_SELECT_CLIP_RGN

      See Also:
        Constant Field Values

    - #### RECORD_SELECT_OBJECT

          public static final int RECORD_SELECT_OBJECT

      See Also:
        Constant Field Values

    - #### RECORD_SELECT_PALETTE

          public static final int RECORD_SELECT_PALETTE

      See Also:
        Constant Field Values

    - #### RECORD_SET_BK_COLOR

          public static final int RECORD_SET_BK_COLOR

      See Also:
        Constant Field Values

    - #### RECORD_SET_BK_MODE

          public static final int RECORD_SET_BK_MODE

      See Also:
        Constant Field Values

    - #### RECORD_SET_DIBITS_TO_DEVICE

          public static final int RECORD_SET_DIBITS_TO_DEVICE

      See Also:
        Constant Field Values

    - #### RECORD_SET_LAYOUT

          public static final int RECORD_SET_LAYOUT

      See Also:
        Constant Field Values

    - #### RECORD_SET_MAP_MODE

          public static final int RECORD_SET_MAP_MODE

      See Also:
        Constant Field Values

    - #### RECORD_SET_MAPPER_FLAGS

          public static final int RECORD_SET_MAPPER_FLAGS

      See Also:
        Constant Field Values

    - #### RECORD_SET_PALETTE_ENTRIES

          public static final int RECORD_SET_PALETTE_ENTRIES

      See Also:
        Constant Field Values

    - #### RECORD_SET_PIXEL

          public static final int RECORD_SET_PIXEL

      See Also:
        Constant Field Values

    - #### RECORD_SET_POLY_FILL_MODE

          public static final int RECORD_SET_POLY_FILL_MODE

      See Also:
        Constant Field Values

    - #### RECORD_SET_REL_ABS

          public static final int RECORD_SET_REL_ABS

      See Also:
        Constant Field Values

    - #### RECORD_SET_ROP2

          public static final int RECORD_SET_ROP2

      See Also:
        Constant Field Values

    - #### RECORD_SET_STRETCH_BLT_MODE

          public static final int RECORD_SET_STRETCH_BLT_MODE

      See Also:
        Constant Field Values

    - #### RECORD_SET_TEXT_ALIGN

          public static final int RECORD_SET_TEXT_ALIGN

      See Also:
        Constant Field Values

    - #### RECORD_SET_TEXT_CHARACTER_EXTRA

          public static final int RECORD_SET_TEXT_CHARACTER_EXTRA

      See Also:
        Constant Field Values

    - #### RECORD_SET_TEXT_COLOR

          public static final int RECORD_SET_TEXT_COLOR

      See Also:
        Constant Field Values

    - #### RECORD_SET_TEXT_JUSTIFICATION

          public static final int RECORD_SET_TEXT_JUSTIFICATION

      See Also:
        Constant Field Values

    - #### RECORD_SET_VIEWPORT_EXT_EX

          public static final int RECORD_SET_VIEWPORT_EXT_EX

      See Also:
        Constant Field Values

    - #### RECORD_SET_VIEWPORT_ORG_EX

          public static final int RECORD_SET_VIEWPORT_ORG_EX

      See Also:
        Constant Field Values

    - #### RECORD_SET_WINDOW_EXT_EX

          public static final int RECORD_SET_WINDOW_EXT_EX

      See Also:
        Constant Field Values

    - #### RECORD_SET_WINDOW_ORG_EX

          public static final int RECORD_SET_WINDOW_ORG_EX

      See Also:
        Constant Field Values

    - #### RECORD_STRETCH_BLT

          public static final int RECORD_STRETCH_BLT

      See Also:
        Constant Field Values

    - #### RECORD_STRETCH_DIBITS

          public static final int RECORD_STRETCH_DIBITS

      See Also:
        Constant Field Values

    - #### RECORD_TEXT_OUT

          public static final int RECORD_TEXT_OUT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WmfGdi

          public WmfGdi()

  - ### Method Detail

    - #### write

          public void write(OutputStream out)
                     throws IOException

      Throws:
        `IOException`

    - #### placeableHeader

          public void placeableHeader(int vsx,
                             int vsy,
                             int vex,
                             int vey,
                             int dpi)

      Specified by:
        `placeableHeader` in interface `Gdi`

    - #### header

          public void header()

      Specified by:
        `header` in interface `Gdi`

    - #### animatePalette

          public void animatePalette(GdiPalette palette,
                            int startIndex,
                            int[] entries)

      Specified by:
        `animatePalette` in interface `Gdi`

    - #### arc

          public void arc(int sxr,
                 int syr,
                 int exr,
                 int eyr,
                 int sxa,
                 int sya,
                 int exa,
                 int eya)

      Specified by:
        `arc` in interface `Gdi`

    - #### bitBlt

          public void bitBlt(byte[] image,
                    int dx,
                    int dy,
                    int dw,
                    int dh,
                    int sx,
                    int sy,
                    long rop)

      Specified by:
        `bitBlt` in interface `Gdi`

    - #### chord

          public void chord(int sxr,
                   int syr,
                   int exr,
                   int eyr,
                   int sxa,
                   int sya,
                   int exa,
                   int eya)

      Specified by:
        `chord` in interface `Gdi`

    - #### createBrushIndirect

          public GdiBrush createBrushIndirect(int style,
                                     int color,
                                     int hatch)

      Specified by:
        `createBrushIndirect` in interface `Gdi`

    - #### createFontIndirect

          public GdiFont createFontIndirect(int height,
                                   int width,
                                   int escapement,
                                   int orientation,
                                   int weight,
                                   boolean italic,
                                   boolean underline,
                                   boolean strikeout,
                                   int charset,
                                   int outPrecision,
                                   int clipPrecision,
                                   int quality,
                                   int pitchAndFamily,
                                   byte[] faceName)

      Specified by:
        `createFontIndirect` in interface `Gdi`

    - #### createPalette

          public GdiPalette createPalette(int version,
                                 int[] entries)

      Specified by:
        `createPalette` in interface `Gdi`

    - #### createPatternBrush

          public GdiPatternBrush createPatternBrush(byte[] image)

      Specified by:
        `createPatternBrush` in interface `Gdi`

    - #### createPenIndirect

          public GdiPen createPenIndirect(int style,
                                 int width,
                                 int color)

      Specified by:
        `createPenIndirect` in interface `Gdi`

    - #### createRectRgn

          public GdiRegion createRectRgn(int left,
                                int top,
                                int right,
                                int bottom)

      Specified by:
        `createRectRgn` in interface `Gdi`

    - #### deleteObject

          public void deleteObject(GdiObject obj)

      Specified by:
        `deleteObject` in interface `Gdi`

    - #### dibBitBlt

          public void dibBitBlt(byte[] image,
                       int dx,
                       int dy,
                       int dw,
                       int dh,
                       int sx,
                       int sy,
                       long rop)

      Specified by:
        `dibBitBlt` in interface `Gdi`

    - #### dibCreatePatternBrush

          public GdiPatternBrush dibCreatePatternBrush(byte[] image,
                                              int usage)

      Specified by:
        `dibCreatePatternBrush` in interface `Gdi`

    - #### dibStretchBlt

          public void dibStretchBlt(byte[] image,
                           int dx,
                           int dy,
                           int dw,
                           int dh,
                           int sx,
                           int sy,
                           int sw,
                           int sh,
                           long rop)

      Specified by:
        `dibStretchBlt` in interface `Gdi`

    - #### ellipse

          public void ellipse(int sx,
                     int sy,
                     int ex,
                     int ey)

      Specified by:
        `ellipse` in interface `Gdi`

    - #### escape

          public void escape(byte[] data)

      Specified by:
        `escape` in interface `Gdi`

    - #### excludeClipRect

          public int excludeClipRect(int left,
                            int top,
                            int right,
                            int bottom)

      Specified by:
        `excludeClipRect` in interface `Gdi`

    - #### extFloodFill

          public void extFloodFill(int x,
                          int y,
                          int color,
                          int type)

      Specified by:
        `extFloodFill` in interface `Gdi`

    - #### extTextOut

          public void extTextOut(int x,
                        int y,
                        int options,
                        int[] rect,
                        byte[] text,
                        int[] lpdx)

      Specified by:
        `extTextOut` in interface `Gdi`

    - #### fillRgn

          public void fillRgn(GdiRegion rgn,
                     GdiBrush brush)

      Specified by:
        `fillRgn` in interface `Gdi`

    - #### floodFill

          public void floodFill(int x,
                       int y,
                       int color)

      Specified by:
        `floodFill` in interface `Gdi`

    - #### frameRgn

          public void frameRgn(GdiRegion rgn,
                      GdiBrush brush,
                      int w,
                      int h)

      Specified by:
        `frameRgn` in interface `Gdi`

    - #### intersectClipRect

          public void intersectClipRect(int left,
                               int top,
                               int right,
                               int bottom)

      Specified by:
        `intersectClipRect` in interface `Gdi`

    - #### invertRgn

          public void invertRgn(GdiRegion rgn)

      Specified by:
        `invertRgn` in interface `Gdi`

    - #### lineTo

          public void lineTo(int ex,
                    int ey)

      Specified by:
        `lineTo` in interface `Gdi`

    - #### moveToEx

          public void moveToEx(int x,
                      int y,
                      Point old)

      Specified by:
        `moveToEx` in interface `Gdi`

    - #### offsetClipRgn

          public void offsetClipRgn(int x,
                           int y)

      Specified by:
        `offsetClipRgn` in interface `Gdi`

    - #### offsetViewportOrgEx

          public void offsetViewportOrgEx(int x,
                                 int y,
                                 Point point)

      Specified by:
        `offsetViewportOrgEx` in interface `Gdi`

    - #### offsetWindowOrgEx

          public void offsetWindowOrgEx(int x,
                               int y,
                               Point point)

      Specified by:
        `offsetWindowOrgEx` in interface `Gdi`

    - #### paintRgn

          public void paintRgn(GdiRegion rgn)

      Specified by:
        `paintRgn` in interface `Gdi`

    - #### patBlt

          public void patBlt(int x,
                    int y,
                    int width,
                    int height,
                    long rop)

      Specified by:
        `patBlt` in interface `Gdi`

    - #### pie

          public void pie(int sx,
                 int sy,
                 int ex,
                 int ey,
                 int sxr,
                 int syr,
                 int exr,
                 int eyr)

      Specified by:
        `pie` in interface `Gdi`

    - #### polygon

          public void polygon(Point[] points)

      Specified by:
        `polygon` in interface `Gdi`

    - #### polyline

          public void polyline(Point[] points)

      Specified by:
        `polyline` in interface `Gdi`

    - #### polyPolygon

          public void polyPolygon(Point[][] points)

      Specified by:
        `polyPolygon` in interface `Gdi`

    - #### realizePalette

          public void realizePalette()

      Specified by:
        `realizePalette` in interface `Gdi`

    - #### restoreDC

          public void restoreDC(int savedDC)

      Specified by:
        `restoreDC` in interface `Gdi`

    - #### rectangle

          public void rectangle(int sx,
                       int sy,
                       int ex,
                       int ey)

      Specified by:
        `rectangle` in interface `Gdi`

    - #### resizePalette

          public void resizePalette(GdiPalette palette)

      Specified by:
        `resizePalette` in interface `Gdi`

    - #### roundRect

          public void roundRect(int sx,
                       int sy,
                       int ex,
                       int ey,
                       int rw,
                       int rh)

      Specified by:
        `roundRect` in interface `Gdi`

    - #### seveDC

          public void seveDC()

      Specified by:
        `seveDC` in interface `Gdi`

    - #### scaleViewportExtEx

          public void scaleViewportExtEx(int x,
                                int xd,
                                int y,
                                int yd,
                                Size old)

      Specified by:
        `scaleViewportExtEx` in interface `Gdi`

    - #### scaleWindowExtEx

          public void scaleWindowExtEx(int x,
                              int xd,
                              int y,
                              int yd,
                              Size old)

      Specified by:
        `scaleWindowExtEx` in interface `Gdi`

    - #### selectClipRgn

          public void selectClipRgn(GdiRegion rgn)

      Specified by:
        `selectClipRgn` in interface `Gdi`

    - #### selectObject

          public void selectObject(GdiObject obj)

      Specified by:
        `selectObject` in interface `Gdi`

    - #### selectPalette

          public void selectPalette(GdiPalette palette,
                           boolean mode)

      Specified by:
        `selectPalette` in interface `Gdi`

    - #### setBkColor

          public void setBkColor(int color)

      Specified by:
        `setBkColor` in interface `Gdi`

    - #### setBkMode

          public void setBkMode(int mode)

      Specified by:
        `setBkMode` in interface `Gdi`

    - #### setDIBitsToDevice

          public void setDIBitsToDevice(int dx,
                               int dy,
                               int dw,
                               int dh,
                               int sx,
                               int sy,
                               int startscan,
                               int scanlines,
                               byte[] image,
                               int colorUse)

      Specified by:
        `setDIBitsToDevice` in interface `Gdi`

    - #### setLayout

          public void setLayout(long layout)

      Specified by:
        `setLayout` in interface `Gdi`

    - #### setMapMode

          public void setMapMode(int mode)

      Specified by:
        `setMapMode` in interface `Gdi`

    - #### setMapperFlags

          public void setMapperFlags(long flags)

      Specified by:
        `setMapperFlags` in interface `Gdi`

    - #### setPaletteEntries

          public void setPaletteEntries(GdiPalette palette,
                               int startIndex,
                               int[] entries)

      Specified by:
        `setPaletteEntries` in interface `Gdi`

    - #### setPixel

          public void setPixel(int x,
                      int y,
                      int color)

      Specified by:
        `setPixel` in interface `Gdi`

    - #### setPolyFillMode

          public void setPolyFillMode(int mode)

      Specified by:
        `setPolyFillMode` in interface `Gdi`

    - #### setRelAbs

          public void setRelAbs(int mode)

      Specified by:
        `setRelAbs` in interface `Gdi`

    - #### setROP2

          public void setROP2(int mode)

      Specified by:
        `setROP2` in interface `Gdi`

    - #### setStretchBltMode

          public void setStretchBltMode(int mode)

      Specified by:
        `setStretchBltMode` in interface `Gdi`

    - #### setTextAlign

          public void setTextAlign(int align)

      Specified by:
        `setTextAlign` in interface `Gdi`

    - #### setTextCharacterExtra

          public void setTextCharacterExtra(int extra)

      Specified by:
        `setTextCharacterExtra` in interface `Gdi`

    - #### setTextColor

          public void setTextColor(int color)

      Specified by:
        `setTextColor` in interface `Gdi`

    - #### setTextJustification

          public void setTextJustification(int breakExtra,
                                  int breakCount)

      Specified by:
        `setTextJustification` in interface `Gdi`

    - #### setViewportExtEx

          public void setViewportExtEx(int x,
                              int y,
                              Size old)

      Specified by:
        `setViewportExtEx` in interface `Gdi`

    - #### setViewportOrgEx

          public void setViewportOrgEx(int x,
                              int y,
                              Point old)

      Specified by:
        `setViewportOrgEx` in interface `Gdi`

    - #### setWindowExtEx

          public void setWindowExtEx(int width,
                            int height,
                            Size old)

      Specified by:
        `setWindowExtEx` in interface `Gdi`

    - #### setWindowOrgEx

          public void setWindowOrgEx(int x,
                            int y,
                            Point old)

      Specified by:
        `setWindowOrgEx` in interface `Gdi`

    - #### stretchBlt

          public void stretchBlt(byte[] image,
                        int dx,
                        int dy,
                        int dw,
                        int dh,
                        int sx,
                        int sy,
                        int sw,
                        int sh,
                        long rop)

      Specified by:
        `stretchBlt` in interface `Gdi`

    - #### stretchDIBits

          public void stretchDIBits(int dx,
                           int dy,
                           int dw,
                           int dh,
                           int sx,
                           int sy,
                           int sw,
                           int sh,
                           byte[] image,
                           int usage,
                           long rop)

      Specified by:
        `stretchDIBits` in interface `Gdi`

    - #### textOut

          public void textOut(int x,
                     int y,
                     byte[] text)

      Specified by:
        `textOut` in interface `Gdi`

    - #### footer

          public void footer()

      Specified by:
        `footer` in interface `Gdi`